Skip to main content
POST
/
chatwoot
/
set
/
{instance}
Set Chatwoot
curl --request POST \
  --url https://{server-url}/chatwoot/set/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "enabled": true,
  "account_id": "<string>",
  "token": "<string>",
  "url": "<string>",
  "sign_msg": true,
  "sign_delimiter": "<string>",
  "reopen_conversation": true,
  "conversation_pending": true,
  "import_contacts": true,
  "import_messages": true,
  "days_limit_import_messages": 123,
  "auto_create": true
}
'
This response has no body data.

Documentation Index

Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

ID of the instance to connect

Body

application/json
enabled
boolean
account_id
string

Chatwoot account ID

token
string

Chatwoot token

url
string

Chatwoot server URL

sign_msg
boolean

Sign message with user name

sign_delimiter
string

Delimiter for sign before the message. Use for line break

reopen_conversation
boolean
conversation_pending
boolean
import_contacts
boolean
import_messages
boolean
days_limit_import_messages
integer

TODO

auto_create
boolean

Response

200 - undefined